콘텐츠로 건너뛰기
ShopentlyLearn

파일 수신 대상 선택

자격이 있는 구매를 선택하세요. 선택한 주문에는 결제되었으며 환불되지 않은 이 상품이 있어야 합니다.

PATCH/api/v1/products/{product_id}/files/{file_id}/audience

cURL 요청

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request PATCH \
  --url https://shop.onshopently.com/api/v1/products/example/files/00000000-0000-4000-8000-000000000007/audience \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: 4e239a57-b0ef-576e-9aa1-683b3adeeb8c' \
  --header 'Content-Type: application/json' \
  --data-raw '{"audience":{"mode":"all_purchasers"},"expected_version":1}'

응답

{
  "data": {
    "deleted": false,
    "id": "00000000-0000-4000-8000-000000000001",
    "version": 2
  },
  "meta": {
    "request_id": "example-request"
  }
}

필수 권한

최소 요금제
STANDARD
키 권한
상품 파일 관리 · 디지털 상품catalog.product_file:write_digital